Subject: Re: Linux "bazaar" model (Re: Beta-19 and configurations....)
From: [email-masked] (Bartlee A. Anderson)

16 Feb 1998 19:22:00 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: Mumit Khan <[email-masked]>

I guess here is as good a place as any to put this comment.

Mumit include a nice batch file which sets up a "standard"?
environment for egcs with his distribution. Anyone actually using
cygwin32 has an equivalent + mount points that they have for
binary compatibility.

The same could be done for cygnus, but exactly
what "standard" is -- is the problem. Even so the basics should be
easily agreed upon. A parameter to which drive to use could be
factored in (I've done this for remote computers with some success)
especially when you put cygwin.dll in the bin dir that is in a path
that is setup in the scripts.

Then a "onetime" script could be used to
setup the standard mountpoints if they could be decided upon.
Personally I mount things weirdly for various reasons, including
different versions and different tries of software. I currently use
the cygwin32 stuff to supplement egcs.

Please don't blast me for not doing this for cygwin32. I would if
there were significant input on what the community wanted, but anyone
who could reasonably comment on needs wouldn't need help in setting
something like this up. But if I get a fair number of inputs, I'll
incorporate them into a script and host it on my homepage. Serious
requests will be seriously considered. Wishlists may be politely
ignored.

An additional parameter to be considered would be the Release number
in the script. This would allow for different releases by changing the
release parameter to the batchfile. It might acutally change some day.
Mumit Khan wrote:
> 
> [email-masked] (Christopher Faylor) writes:
> >
> > You may be right as to the model being used, but I have seen very very
> > few contributors here.  In fact more than a few postings contain words to
> > the effect of "I haven't looked at the sources, but it seems to me..."
> > When I see those words I usually move on to the next article.
> 
> Chris' point is well taken, but as usual there are two sides to the coin.
> There *might* be more participation if the development sources were more
> readily available; at the very least, there may be more testers, who play
> a significant role in the development in most free software projects.
> 
> Comparing Linux model with cygwin32 is probably unfair since the user base
> is fundamentally different. We have, however, seen considerable increase
> in productivity in gcc2 development since egcs has started, and the same
> could happen to cygwin32.
> 
> There are times I wish I had access to the latest sources while struggling
> with problems with cygwin32 egcs port (eg., the question of whether freopen
> is fixed in the latest sources). Oh well.
> 
> Mumit
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".